/*
 * Class NATURAL_8
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_198 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_198 [] = {0xFF01,709,197,0xFFFF};
static const EIF_TYPE_INDEX egt_2_198 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_3_198 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_198 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_198 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_6_198 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_7_198 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_8_198 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_9_198 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_198 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_11_198 [] = {0xFF01,196,0xFFFF};
static const EIF_TYPE_INDEX egt_12_198 [] = {0xFF01,220,0xFFFF};


static const struct desc_info desc_198[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_198), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_198), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10410, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_198), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_198), 14, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 15, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_198), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_198), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_198), 10464, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_198), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_198), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10402, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10414, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 10404, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 10405, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10412, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10413, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 10467, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 10468, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 10469, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 10472, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 10471, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 10423, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_198), 10464, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10466, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1452, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1453, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1454, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1456, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 1457, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 1458, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 10401, 0},
	{EIF_NON_GENERIC(0x019D /*206*/), 10403, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0173 /*185*/), 10406, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 10407, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 10408, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10411, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10415, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10416, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10417, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 10470, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 10473, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 10474, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_198), 10427, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10428, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_198), 10429, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10430, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 10475, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0197 /*203*/), 10476, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0191 /*200*/), 10477, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A9 /*212*/), 10478, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0161 /*176*/), 10479, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 10480, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10481, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0179 /*188*/), 10482, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 10439, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0197 /*203*/), 10440, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0191 /*200*/), 10441, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A9 /*212*/), 10442, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0161 /*176*/), 10443, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 10444, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10445, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0179 /*188*/), 10446, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 10483, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 10484, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_198), 10449, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0173 /*185*/), 10450, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0173 /*185*/), 10451, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0173 /*185*/), 10485, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x016D /*182*/), 10486, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 10487, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 10488, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 10489, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 10490, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 10458, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 10491, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 10465, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10461, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 10462, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 10463, 0xFFFFFFFF},
};
void Init198(void)
{
	IDSC(desc_198, 0, 197);
	IDSC(desc_198 + 1, 1, 197);
	IDSC(desc_198 + 32, 248, 197);
	IDSC(desc_198 + 34, 254, 197);
	IDSC(desc_198 + 44, 336, 197);
	IDSC(desc_198 + 45, 203, 197);
	IDSC(desc_198 + 49, 288, 197);
	IDSC(desc_198 + 52, 215, 197);
}


#ifdef __cplusplus
}
#endif
